from flask_wtf import FlaskForm
from wtforms import StringField, PasswordField, BooleanField, SubmitField, SelectField, DecimalField
from flask_pagedown.fields import PageDownField
from wtforms import validators, ValidationError
from wtforms.fields.html5 import EmailField, DecimalRangeField

from .. import db

class OrderForm(FlaskForm):
    region_choices = [(1, 'Plovdiv, Bulgaria'), (2, 'International Space Station')]
    region = SelectField('Region:', choices=region_choices, coerce=int)

    recipe_choices = [(1, 'RootVPS')]
    recipe = SelectField('Type:', choices=recipe_choices, coerce=int)

    cpu = DecimalRangeField('Processor Cores', default=2)
    memory = DecimalRangeField('Memory', default=2048)
    storage = DecimalRangeField('Storage', default=20)

    alias = StringField('Name:', [validators.Regexp(message='ex.: myservice1.com, myservice2.local', regex='^[a-zA-Z0-9][a-zA-Z0-9-_]{0,61}[a-zA-Z0-9]{0,1}\.([a-zA-Z]{1,6}|[a-zA-Z0-9-]{1,30}\.[a-zA-Z]{2,3})$'), validators.Length(6,64)])

    submit = SubmitField('DEPLOY')

class MessageForm(FlaskForm):
    line = PageDownField('Enter your message...', validators=[validators.DataRequired()])
    submit = SubmitField('Submit')

